Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# adjustment.hh File Reference

A GtkAdjustment C++ wrapper interface. More...

`#include <xfc/gtk/object.hh>`
`#include <gtk/gtkadjustment.h>`
`#include <xfc/gtk/inline/adjustment.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::Adjustment
    A GtkAdjustment C++ wrapper class. More...

## Detailed Description

A GtkAdjustment C++ wrapper interface.

Provides Adjustment, an object that represents a value which has an associated lower and upper bound, together with step and page increments, and a page size. It is used within several widgets, including SpinButton, Viewport, and Range (which is a base class for HScrollbar, VScrollbar, HScale, and VScale).
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3